Skip to main content
PUT
/
api
/
admin
/
userInstitution
/
{userId}
Update user institution attributes such as account type, status, etc.
curl --request PUT \
  --url https://pria.praxislxp.com/api/admin/userInstitution/{userId} \
  --header 'Content-Type: application/json' \
  --header 'x-access-token: <api-key>' \
  --data '
{
  "accountType": "admin",
  "entitlements": [
    "institutions.list",
    "institutions.add",
    "users.list",
    "users.edit"
  ],
  "status": "active"
}
'
import requests

url = "https://pria.praxislxp.com/api/admin/userInstitution/{userId}"

payload = {
"accountType": "admin",
"entitlements": ["institutions.list", "institutions.add", "users.list", "users.edit"],
"status": "active"
}
headers = {
"x-access-token": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'x-access-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
accountType: 'admin',
entitlements: ['institutions.list', 'institutions.add', 'users.list', 'users.edit'],
status: 'active'
})
};

fetch('https://pria.praxislxp.com/api/admin/userInstitution/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "message": "User Institution updated!"
}

Authorizations

x-access-token
string
header
required

JWT token passed in x-access-token header

Path Parameters

userId
string
required

The unique identifier of the user

Body

application/json
accountType
string

The account type to update for the user

Example:

"admin"

entitlements
string[]

Array of entitlement permissions for the user institution

Example:
[
"institutions.list",
"institutions.add",
"users.list",
"users.edit"
]
status
string

The account status, active, pending

Example:

"active"

Response

User institution successfully updated

success
boolean

Indicates if the operation was successful

Example:

true

message
string

Success message

Example:

"User Institution updated!"